Subject: Re: bug#7127: 23.2; M-x help throws an error

From: Ken Brown <[email-masked]>
Date: Fri, 08 Oct 2010 11:14:45 -0400

On 10/1/2010 10:57 PM, Glenn Morris wrote:
> Ken Brown wrote:
>
>> That's too bad.  I was hoping this would become someone else's problem.
>
> Maybe it's some temporary thing that isn't specific to Cygwin, but
> doesn't happen every time. Like I said, I have a vague memory of
> something similar for the emacs-snapshot package. I think it was:
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2590
>
> It's hard to see what could have changed between 23.1 and 23.2 to
> cause this, nor why it should go away in 24.1.
>
>>   In any case, it's easy enough to work around it.  I just
>> won't do an out-of-tree build for my future releases of emacs-23 for
>> Cygwin.  (The problem doesn't exist in emacs-24.)  And I'll go ahead
>> and do a rebuild of 23.2 for the Cygwin distribution within the next
>> few days.
>
> Great, thank you.

The mystery is solved by Eli's fix for bug#7167.  It was a problem with 
the 23.2 tarball.  If I delete src/buildobj.h, an out-of-tree build of 
23.2 works again under Cygwin.

Bug closed.

Ken